import QtQuick 1.0

Item {

    property string imageFolderCommon: phonemodel === "meego" ? "images/" : "/images/common/solitairegames/images/"
    property string imageFolderCards: phonemodel === "meego" ? "images/" : "/images/symbian/solitairegames/images/"

    property string imgBgPortrait: imageFolderCommon + "solitaire_bg_prt.png"
    property string imgBgLandscape: imageFolderCommon + "solitaire_bg_lsc.png"

    property string imgBgWithIconPortrait: imageFolderCommon + "solitaire_bg_with_icon_prt.png"
    property string imgBgWithIconLandscape: imageFolderCommon + "solitaire_bg_with_icon_lsc.png"

    property string imgButton: imageFolderCommon + "button_bg.png"
    property string imgButtonPressed: imageFolderCommon + "button_bg.png"
//    property string imgButtonPressed: imageFolderCommon + "button_bg_onpress.png"

    property string imgButtonNewGame: imageFolderCommon + "solitaire_new_btn.png"
    property string imgButtonNewGamePressed: imageFolderCommon + "solitaire_new_btn.png"
//    property string imgButtonNewGamePressed: imageFolderCommon + "solitaire_new_btn_onpress.png"

    property string imgButtonQuit: imageFolderCommon + "solitaire_quit_btn.png"
    property string imgButtonQuitPressed: imageFolderCommon + "solitaire_quit_btn.png"
//    property string imgButtonQuitPressed: imageFolderCommon + "solitaire_quit_btn_onpress.png"

    property string imgButtonBack: imageFolderCommon + "solitaire_back_btn.png"
    property string imgButtonBackPressed: imageFolderCommon + "solitaire_back_btn.png"

    property string imgButtonUndo: imageFolderCommon + "undo.png"
    property string imgButtonUndoDimmed: imageFolderCommon + "undo_dimmed.png"

    property string imgButtonLeftHand: imageFolderCommon + "hand_left.png"
    property string imgButtonRightHand: imageFolderCommon + "hand_right.png"


    property string imgButtonHelp: imageFolderCommon + "help_icon.png"

    property string imgButtonAbout: imageFolderCommon + "about.png"

    property string imgButtonGo: imageFolderCommon + "btn_go.png"

    property string imgSplashPortrait: imageFolderCommon + "solitaire_splash_prt.png"
    property string imgSplashLandscape: imageFolderCommon + "solitaire_splash_lsc.png"

    property string imgYouWon: imageFolderCommon + "solitaire_you_won.png"
    property string imgNoMoreMoves: imageFolderCommon + "solitaire_no_more_moves.png"

    property string imgGetFullVersionAdButtonUndoDimmed: imageFolderCommon + "get_full_version.png"


    property string imgCardLocation: imageFolderCards + "cards/"

    property string imgStackBg: "stack_area.png"
    property string imgCardBg: "card_background.png"

    property string imgCardClub: "club-"
    property string imgCardDiamond: "diamonds-"
    property string imgCardHeart: "hearts-"
    property string imgCardSpade: "spade-"
    property string imgCardAce: "14"
    property string imgCardJack: "11"
    property string imgCardQueen: "12"
    property string imgCardKing: "13"
    property string imgCardType: ".png"



    property string imgGameIconLocation: imageFolderCommon + "games/"
    property string imgGameIconType: ".png"




}
