

var cardStackCount = 52
var cardStackArray = new Array(cardStackCount);
var cardStackComponent = Qt.createComponent("SolitaireCardStack.qml");

function cardStacks() {
    return cardStackArray;
}


function createCardStacks() {
    for(var i = 0; i<cardStackCount; i++){
        if (cardStackArray[i] == null ) {
            createOneCardStack(i);
        }
    }
}

function createOneCardStack(cardStackNumber){
    if(cardStackComponent.status == Component.Ready){
        var dynamicObject = cardStackComponent.createObject(stackLayer);
        if(dynamicObject == null){
            console.log("error creating cardStack");
            console.log(cardStackComponent.errorString());
            return false;
        }

        dynamicObject.x = 0;
        dynamicObject.y = 0;
        dynamicObject.stackNumber = cardStackNumber;
        dynamicObject.showStack = false;
        dynamicObject.visible = false;
        //map to engine in c++ side...
        solitaire.addStackVisual(dynamicObject);

        //dynamicObject.wasClicked.connect(boardId.cardStackClicked);
        //dynamicObject.wasReleased.connect(boardId.cardStackDrop);
        cardStackArray[cardStackNumber] = dynamicObject;
    }else{
        console.log("error loading cardStack component");
        console.log(cardStackComponent.errorString());
        return false;
    }
    return true;
}


function getcardStack(cardStackNumber) {
    return cardStackArray[cardStackNumber];
}
